Subject: Re: [PATCH] include/asm-arm/: Spelling fixes

From: Joe Perches <[email-masked]>
Date: Mon, 17 Dec 2007 12:22:51 -0800

On Mon, 2007-12-17 at 15:12 -0500, J. Bruce Fields wrote:
> Hope you don't mind my cc'ing the git list:

Nope.  Not a bit.

I had patches that were committed in word order that
I wanted to aggregate by subsystem.

I took all the patches, created a branch, committed
all the patches at once, then used these commands:
 
(patch_order is a directory list)

$ let count=0 ; for line in $(cat patch_order) ; do ((count++)); \
	printf -v tmp "%04u-Spelling-%s" $count $line ; \
	tmp=${tmp//\//-} ; tmp=${tmp// /}; \
	git-format-patch -N --thread --start-number $count -s \
	-o patch3 \
	--subject-prefix="[PATCH] Spelling: $line" master $line  ; done
[converted the subjects appropriately]
$ git-send-email --smtp-server <foo> --smtp-user <bar> \
	--from "Joe Perches <[email-masked]>" \
	--to "[email-masked]" \
	--cc "Andrew Morton <[email-masked]>" \
	--cc-cmd "../get_maintainer.pl --nogit" \
	--no-thread --suppress-from patch3

I probably just reversed the "--thread" on
git-format-patch and send-email.

cheers, Joe